<script setup lang="ts">
  import { CmsBlockProductHeading } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockProductHeading;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  // const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
</script>

<template>
  <div class="flex justify-between">
    <div class="flex-1">
      <!-- <CmsGenericElement :content="leftContent" /> -->
    </div>
    <CmsGenericElement :content="rightContent" />
  </div>
</template>

<style>
  div[name='cms-block-product-heading'] div[name='cms-element-manufacturer-logo'] img {
    @apply max-h-[7.5rem] max-w-[7.5rem];
  }
</style>
